<?php

require_once("tests/StandardUnitTestAbstract.php");

class Functions_MethodVisibilityTest extends StandardUnitTestAbstract
{
    
    public function setUp()
    {
        $this->sniffs = array('Maarch.Functions.MethodVisibility');    
    }
	
    /**
     * Returns the lines where errors should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of errors that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getErrorList()
    {
        return Array(
            17 => 1,
            21 => 1,
        );
    }

    public function getWarningList()
    {
        return array();
    }
}